SPDX registry metadata + OSADL data for a license id
curl --request GET \
--url https://api.scanoss.com/v3/licenses/detailsimport requests
url = "https://api.scanoss.com/v3/licenses/details"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.scanoss.com/v3/licenses/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"license": {
"full_name": "<string>",
"spdx": {
"id": "<string>",
"full_name": "<string>",
"details_url": "<string>",
"reference_url": "<string>",
"is_deprecated": true,
"is_fsf_libre": true,
"is_osi_approved": true,
"see_also": [
"<string>"
]
},
"osadl": {
"copyleft_clause": true,
"patent_hints": true,
"compatibility": [
"<string>"
],
"depending_compatibility": [
"<string>"
],
"incompatibility": [
"<string>"
]
}
},
"status": {
"status": "SUCCESS",
"message": "<string>"
}
}{
"status": "error",
"error": {
"code": "INVALID_QUERY",
"message": "purl query parameter is required"
},
"timestamp": "2026-05-19T11:39:56Z"
}{
"status": "error",
"error": {
"code": "INTERNAL_ERROR",
"message": "..."
},
"timestamp": "2026-05-19T11:39:56Z"
}licenses
SPDX registry metadata + OSADL data for a license id
Returns SPDX registry metadata (name, URLs, deprecation/OSI flags) and
the OSADL compliance block for the given license id (case-insensitive).
Mirrors papi GetDetails.
GET
/
v3
/
licenses
/
details
SPDX registry metadata + OSADL data for a license id
